## Documentation Index

Fetch the complete documentation index at: [/llms.txt](https://docs.cognigy.com/llms.txt)

Use this file to discover all available pages before exploring further.

### Revoke an Endpoint API Key

**DELETE**

`/v2.0/endpoints/{endpointId}/apikeys/{keyId}`

### Try it

#### cURL
```bash
curl --request DELETE \
  --url https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId}/apikeys/{keyId} \
  --header 'X-API-Key: <api-key>'
```

#### Python
```python
import requests

url = "https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId}/apikeys/{keyId}"

headers = {"X-API-Key": "<api-key>"}

response = requests.delete(url, headers=headers)

print(response.text)
```

#### JavaScript (Fetch)
```javascript
const options = {method: 'DELETE', headers: {'X-API-Key': '<api-key>'}};

fetch('https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId}/apikeys/{keyId}', options)
  .then(res => res.json())
  .then(res => console.log(res))
  .catch(err => console.error(err));
```

#### PHP
```php
<?php

$curl = curl_init();

curl_setopt_array($curl, [
  CURLOPT_URL => "https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId}/apikeys/{keyId}",
  CURLOPT_RETURNTRANSFER => true,
  CURLOPT_ENCODING => "", 
  CURLOPT_MAXREDIRS => 10,
  CURLOPT_TIMEOUT => 30,
  CURLOPT_HTTP_VERSION => CURL_HTTP_VERSION_1_1,
  CURLOPT_CUSTOMREQUEST => "DELETE",
  CURLOPT_HTTPHEADER => [
    "X-API-Key: <api-key>"
  ],
]);

$response = curl_exec($curl);
$err = curl_error($curl);

curl_close($curl);

if ($err) {
  echo "cURL Error #:" . $err;
} else {
  echo $response;
}
?>
```

#### Go
```go
package main

import (
	"fmt"
	"net/http"
	"io"
)

func main() {

url := "https://api-trial.cognigy.ai/new/v2.0/endpoints/{endpointId}/apikeys/{keyId}"

req, _ := http.NewRequest("DELETE", url, nil)

req.Header.Add("X-API-Key", "<api-key>")

res, _ := http.DefaultClient.Do(req)

defer res.Body.Close()
	body, _ := io.ReadAll(res.Body)

fmt.Println(string(body))
}
```

### Response

204

The Endpoint API Key was revoked successfully.

### Error Codes

- **400 Bad Request**  
- **401 Unauthorized**  
- **402 Payment Required**  
- **405 Method Not Allowed**  
- **409 Conflict**  
- **413 Payload Too Large**  
- **500 Internal Server Error**  
- **501 Not Implemented**  
- **502 Bad Gateway**  
- **503 Service Unavailable**  
- **504 Gateway Timeout**

### Authorizations

- **X-API-Key**  
  required in header to supply the API Key in the HTTP-Header.

### Headers

#### Accept

The `Accept` header specifies the media type that the client expects in the response. Available options: `application/json`, `application/hal+json`, `application/xml`, `text/xml`, `text/csv`. The default value is `application/json`.

### Path Parameters

- **endpointId**: string, required, The Id of the Endpoint. Required string length: `24`.
- **keyId**: string, required, The Id of the Endpoint API Key. Required string length: `24`.
